Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jul 14 2020 18:39

    stefanhoth on bundler

    (compare)

  • Jul 14 2020 18:39

    stefanhoth on gh-pages

    Bump activesupport from 6.0.1 t… Merge pull request #269 from Op… (compare)

  • Jul 14 2020 18:39
    stefanhoth closed #269
  • Jul 03 2020 20:20
    stefanhoth review_requested #269
  • May 26 2020 15:13
    dependabot[bot] labeled #269
  • May 26 2020 15:13
    dependabot[bot] opened #269
  • May 26 2020 15:13

    dependabot[bot] on bundler

    Bump activesupport from 6.0.1 t… (compare)

  • Apr 18 2020 19:12

    xMartin on gh-pages

    Delete CNAME (compare)

  • Feb 25 2020 09:43

    dependabot[bot] on bundler

    (compare)

  • Feb 25 2020 09:42

    mamhoff on gh-pages

    Bump nokogiri from 1.10.7 to 1.… Merge pull request #268 from Op… (compare)

  • Feb 25 2020 09:42
    mamhoff closed #268
  • Feb 25 2020 09:05
    phumberdroz commented #268
  • Feb 25 2020 09:05
    phumberdroz review_requested #268
  • Feb 25 2020 09:05
    phumberdroz review_requested #268
  • Feb 25 2020 09:05
    phumberdroz review_requested #268
  • Feb 24 2020 20:18
    dependabot[bot] labeled #268
  • Feb 24 2020 20:18
    dependabot[bot] opened #268
  • Feb 24 2020 20:18

    dependabot[bot] on bundler

    Bump nokogiri from 1.10.7 to 1.… (compare)

  • Dec 09 2019 19:44

    mamhoff on add-another-vagrant-setup

    (compare)

  • Dec 09 2019 19:44
    mamhoff closed #212
Mar High
@marhigh
anybody up for some food?
Gushsd
@Gushsd
Hello guys. We (at the widget team) were trying to clone and bundle 'till we reach the latest error at our terminal which reads:
"activesupport-5.0.0.1 requires ruby version >= 2.2.2, which is incompatible with
the current version, ruby 2.0.0p481"
Benjamin Kampmann
@gnunicorn
@Gushsd - i think you need ruby 1.9 or 2.2 for Jekyll. What OS are you on?
I followed instructions on this site to install ruby 2.2
Benjamin Kampmann
@gnunicorn
Why is it not picking up ruby 2.2 then? Weird!
nasseau
@nasseau
Some of us are having issues installing the correct version of ruby
Benjamin Kampmann
@gnunicorn
The link gives me a 404 :(
Is @phumberdroz around?
He wanted to provide a hosted solution ...
xMartin
@xMartin
@gnunicorn no :(
Benjamin Kampmann
@gnunicorn
so, we also don't have any remote solution, then?!?
how many ppl have/face this problem/can't work? should I try to set something up?
@xMartin ^^
xMartin
@xMartin
that's a very nice offer. i feel slowly everyone has a setup working or arranged otherwise
Benjamin Kampmann
@gnunicorn
ok
xMartin
@xMartin
@gnunicorn does the fetchAndRender support JSONP or meetup API works with CORS?
i'm afraid not, but rather ask
Benjamin Kampmann
@gnunicorn
didn't check or try.
should I add that feature?
xMartin
@xMartin
i think we need it in case meetup doesn't add CORS support recently
then yes
Benjamin Kampmann
@gnunicorn
we might have to provide a "mode: cors" to the request, but it should work
if the auth-key is set up properly.
lemme try it out.
xMartin
@xMartin
:+1:
Benjamin Kampmann
@gnunicorn
yeah. no. only possible for oauth-calls - which we don't have.
alright. lemme implement jsonp for meetup-api.
or maybe. lemme check!
Benjamin Kampmann
@gnunicorn
@xMartin no, need jsonp. adding a polyfill. currently callback based. You want me to make it promise based?
and should I directly put it into fetchAndRender?
and if so: implicit (just because it is a meetup.com url) or explicit (extra function/ parameter)? //cc @xMartin
xMartin
@xMartin
@gnunicorn exlicit is better than implicit :)
Benjamin Kampmann
@gnunicorn
doing that already. just writing an example now.
xMartin
@xMartin
:+1:
it's working here already because we've disables CORS in the browser ;)
i'd go for callbacks instead if promises as i think it's simpler.
Benjamin Kampmann
@gnunicorn
too late
@xMartin merge at will: OpenTechSchool/website-relaunch#28
promise is only used internally anyways, but it allows me to reuse the existing code and ensure both have the same behaviours.
you still pass a render function directly.
(or not anymore, if you only have one template that needs to be rendered: new feature!)
example usage included
xMartin
@xMartin
cool, thanks! we're wrapping up for today
Benjamin Kampmann
@gnunicorn
I figured. did we make progress?
designbygio
@gsambrotta
:)
Kristine
@krstnschwpwr
hello! anyone familiar with REST and Django?
xMartin
@xMartin
hi @krstnschwpwr , this is the room for working on the OpenTechSchool website.